# eoTimeVaryingLoopEval< EOT > Class Template Reference

eoPopLoopEval: an instance of eoPopEvalFunc that simply applies a private eoEvalFunc to all offspring AND ALL PARENTS as the fitness is supposed here to vary More...

`#include <eoPopEvalFunc.h>`

Inheritance diagram for eoTimeVaryingLoopEval< EOT >:

List of all members.

## Public Member Functions

| eoTimeVaryingLoopEval (eoEvalFunc< EOT > &_eval)
| Ctor: set value of embedded eoEvalFunc.
void | operator() (eoPop< EOT > &_parents, eoPop< EOT > &_offspring)
| Do the job: simple loop over the offspring.

## Private Attributes

eoEvalFunc< EOT > & | eval

## Detailed Description

### template<class EOT>
class eoTimeVaryingLoopEval< EOT >

eoPopLoopEval: an instance of eoPopEvalFunc that simply applies a private eoEvalFunc to all offspring AND ALL PARENTS as the fitness is supposed here to vary

Definition at line 84 of file eoPopEvalFunc.h.

The documentation for this class was generated from the following file:

- eoPopEvalFunc.h